#
# spec file for package softgun
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           softgun
Version:        0.22
Release:        1.98
Summary:        ARM, ATMega, M32C, and R8C Board Emulator
License:        BSD-2-Clause
Group:          System/Emulators/Other
Url:            http://softgun.sourceforge.net
Source0:        https://sourceforge.net/projects/softgun/files/softgun/%{name}-%{version}/%{name}-%{version}.tgz
Source1:        %{name}.changes
BuildRequires:  alsa-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Softgun is a an embedded system simulator. Softgun is known to run Linux
blob and u-boot for the ARM-9 processors Digi NS9750, Freescale i.MX21 and
Atmel AT91RM9200.  Softgun can also emulate the ATMega 644-based game
console "Uzebox", the Renesas Microcontrollers M32C and R8C.

%prep
%setup -q
# fix builddate info
# Remove build time references so build-compare can do its work
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{SOURCE1} '+%%H:%%M')
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{SOURCE1} '+%%b %%e %%Y')
sed -e "s/__TIME__/\"$FAKE_BUILDTIME\"/" -i softgun.c devices/fbdd_02_02/fbdd_02_02.c devices/dm9000/dm9000.c
sed -e "s/__DATE__/\"$FAKE_BUILDDATE\"/" -i softgun.c devices/fbdd_02_02/fbdd_02_02.c devices/dm9000/dm9000.c

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -fPIC" LDFLAGS="-ldl -lpthread -lasound -lm -lz" prefix=%{_prefix}

%install
mkdir -p %{buildroot}%{_prefix}/bin
make install prefix=%{buildroot}%{_prefix}

%files
%defattr(-,root,root)
%doc README configs
%{_bindir}/pcl3gui2png
%{_bindir}/sg_tunctl
%{_bindir}/softgun

%changelog
* Sat Nov 26 2016 aloisio@gmx.com
- Update to 0.22
- Spec cleanup
* Mon Jul 12 2010 uli@suse.de
- update -> 0.18
* Fri Nov 28 2008 uli@suse.de
- fixed rpmlint complaint
* Fri Jun 13 2008 uli@suse.de
- fixed to build with new toolchain
